Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.customer
Interface CustomerDelegateHome

public interface CustomerDelegateHome
extends javax.ejb.EJBHome

The home interface for the Customer entity bean. Use this class to create, remove, and find Customer entity beans.

Method Summary
`CustomerDelegate` | `create(CustomerDelegatePk customerPk)` Create a new Customer entity bean using the primary key
`CustomerDelegate` | `findByPrimaryKey(CustomerDelegatePk customerPk)` Find an Customer entity bean using the primary key
`CustomerDelegate` | `findByUserIdentifier(java.lang.String identifier)` Access existing customer -- if not found, then try to create a new one.

Methods inherited from interface javax.ejb.EJBHome
`getEJBMetaData, getHomeHandle, remove, remove`

Method Detail

### create

    public CustomerDelegate create(CustomerDelegatePk customerPk)
                            throws javax.ejb.CreateException,
                                   java.rmi.RemoteException

  Create a new Customer entity bean using the primary key

### findByPrimaryKey

    public CustomerDelegate findByPrimaryKey(CustomerDelegatePk customerPk)
                                      throws java.rmi.RemoteException,
                                             javax.ejb.FinderException

  Find an Customer entity bean using the primary key

  Returns:
    Remote interface to Customer
  Throws:
    javax.ejb.FinderException - if cannot locate named customer

### findByUserIdentifier

    public CustomerDelegate findByUserIdentifier(java.lang.String identifier)
                                          throws java.rmi.RemoteException,
                                                 javax.ejb.FinderException

  Access existing customer -- if not found, then try to create a new one.

  Parameters:
    `identifier` - Customer name
  Returns:
    Remote interface to Customer
  Throws:
    javax.ejb.CreateException - if cannot create new customer of that name

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved